Bug 217030 - CVE-2006-6053 ext3fs_dirhash denial of service
CVE-2006-6053 ext3fs_dirhash denial of service
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Eric Sandeen
Brian Brock
impact=low,source=internet,reported=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-23 04:06 EST by Marcel Holtmann
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2007-0014
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-30 09:44:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcel Holtmann 2006-11-23 04:06:13 EST
From MOKB-10-11-2006:

http://projects.info-pull.com/mokb/MOKB-10-11-2006.html

The ext3 filesystem code fails to properly handle corrupted data structures,
leading to an exploitable denial of service issue with potential fs corruption,
when a read operation is done on a crafted ext3 stream.
Comment 1 Eric Sandeen 2006-11-30 13:21:27 EST
FWIW, this one is already fixed in RHEL5 (via bug 209907).  Marcel, what about
RHEL3?

Patch posted for RHEL4 on 11/30/06
Comment 2 Marcel Holtmann 2006-12-04 03:21:49 EST
Testing with Red Hat Enterprise Linux 2.1 and 3 showed that both kernels are not
vulnerable to this specific issue.
Comment 3 Jason Baron 2006-12-11 17:44:14 EST
committed in stream U5 build 42.28. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 4 Jason Baron 2006-12-18 16:48:33 EST
committed in stream E5 build 42.0.4
Comment 6 Mike Gahagan 2007-01-19 11:47:17 EST
Bug and fix verified with the MOKB image using -42 and -42.0.7.

Comment 8 Red Hat Bugzilla 2007-01-30 09:44:17 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0014.html

Note You need to log in before you can comment on or make changes to this bug.